%bcond_with bootstrap
%define anolis_release 7

Name: gtk-doc
Version: 1.33.2
Release: %{anolis_release}%{?dist}
Summary: API documentation generation tool for GTK+ and GNOME

License: GPLv2+ and GFDL
URL: https://gitlab.gnome.org/GNOME/gtk-doc/
Source0: http://download.gnome.org/sources/%{name}/1.33/%{name}-%{version}.tar.xz

# Partially revert a gtk-doc 1.31 change that broke e-d-s and NM builds
# https://gitlab.gnome.org/GNOME/gtk-doc/issues/98
# https://gitlab.gnome.org/GNOME/gtk-doc/issues/110
Patch0: 0001-Partially-revert-a-gtk-doc-1.31-change-that-broke-e-.patch
BuildArch: noarch
BuildRequires: /usr/bin/xsltproc
BuildRequires: docbook-style-xsl
BuildRequires: yelp-tools
BuildRequires: meson >= 0.50.0
BuildRequires: itstool
BuildRequires: gettext
%if %{without bootstrap}
# for the testsuite:
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: python3dist(anytree)
BuildRequires: python3dist(pygments)
BuildRequires: python3dist(parameterized)
BuildRequires: python3dist(lxml)
BuildRequires: bc
# for pdflatex:
BuildRequires: dblatex
%endif
BuildRequires: docbook-style-xsl

# Following are not automatically installed
Requires: docbook-utils /usr/bin/xsltproc docbook-style-xsl
%if %{without bootstrap}
Requires: python3-pygments
Requires: python3-lxml
%endif

%description
gtk-doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib
and GNOME.

%package doc
Summary: Documents for %{name}
Requires: %{name} = %{version}-%{release}

%description  doc
Doc pages for %{name}.

%package mkpdf
Summary: API documentation PDF format generation tool for GTK+ and GNOME
Requires: %{name} = %{version}-%{release}
Conflicts: gtk-doc < 1.33.2-6
%if %{without bootstrap}
Requires: dblatex
%endif

%description mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%autosetup -p1

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}-manual --with-gnome

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/gtk-doc/

%if %{with bootstrap}
%check
%meson_test
%endif

%files -f %{name}-manual.lang
%license COPYING COPYING-DOCS
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkhtml2
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdocize
%{_datadir}/aclocal/gtk-doc.m4
%{_datadir}/gtk-doc
%{_datadir}/pkgconfig/gtk-doc.pc
%{_libdir}/cmake/GtkDoc

%files doc
%doc AUTHORS README doc/* examples

%files mkpdf
%{_bindir}/gtkdoc-mkpdf

%changelog
* Thu Mar 30 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.33.2-7
- Del Specific Fields

* Tue Dec 6 2022 Funda Wang <fundawang@yeah.net> - 1.33.2-6
- Import 1.33.2
- Split mkpdf into seperated package for simplify requirements
